Package com.plannaplan.responses.models

# Class CourseWithGroupsResponse<T>

java.lang.Object
com.plannaplan.responses.models.CourseWithGroupsResponse<T>

    public class CourseWithGroupsResponse<T>
    extends java.lang.Object

Course respose with all realted groups as api response. Alse needs to specify what type of Groups api response will be kept here. For excmaple it can be GroupDefaultRespnse

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CourseWithGroupsResponse​(java.util.List<T> classes, java.util.List<T> lectures)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<T>` | `getClasses()` |
`java.util.List<T>` | `getLectures()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CourseWithGroupsResponse

public CourseWithGroupsResponse​(java.util.List<T> classes, java.util.List<T> lectures)

Parameters:
  `classes` - realted classes Groups instance
  `lectures` - realted lectures Groups instance

## Method Details

### getClasses

public java.util.List<T> getClasses()

Returns:
  realted classes Groups instance

### getLectures

public java.util.List<T> getLectures()

Returns:
  realted lectures Groups instance